<template>
  <div>
    <div
      class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center profile-header"
      style="min-height: 600px; background-size: cover; background-position: center top;"
    >
      <b-container class="mt-5">
        <!-- Mask -->
        <span class="mask bg-gradient-success opacity-8"></span>

        <b-container fluid class="mt--4">
          <b-row>
            <b-col xl="4" class="order-xl-2 mb-5">
              <user-card :user="user"></user-card>
            </b-col>

            <b-col xl="8" class="order-xl-1">
              <submit-receipt></submit-receipt>         
            </b-col>
          </b-row>
        </b-container>
       
      </b-container>
    </div>
  </div>
</template>
<script>
import EditProfileForm from "./UserProfile/EditProfileForm.vue";
import SubmitExam from './UserProfile/SubmitExam.vue';
import SubmitReceipt from './UserProfile/SubmitReceipt.vue';
import UserCard from "./UserProfile/UserCard.vue";
import {userService} from '../../services';
import moment from 'moment';


  export default {
    components: {
    EditProfileForm,
    UserCard,
        SubmitExam,
        SubmitReceipt,
    },
    data(){
      return {
        user: null,
        record: null
      }
    },
      mounted(){
    userService.getMe().then(res => {
      this.user = res.response.usuarioId;
      this.user.fechaNac = moment(res.response.usuarioId.fechaNac).format("YYYY-MM-DD");
      this.record = res.response.usuarioId.antecedentes
    })
  }
};
    
</script>
<style>
.el-table .cell{
  padding-left: 0px;
  padding-right: 0px;
}
</style>
